body,
html {
  height: 100%;
  margin: 0;
  overflow-x: hidden;
  overflow-y: auto;
  color: white;
}

b,
a {
  font-weight: 500;
  color: #DE62CA;
}

body,
* {
  box-sizing: border-box;
  font-family: "Roboto", serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
  font-variation-settings: "wdth" 100;
  line-height: 1.6rem;
}

#bg-image {
  background: url('./images/pattern.png') 0% 0% / 267px repeat;
  background-color: #48484e;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  background-attachment: fixed;
}

#wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-top: 4rem;
  margin-left: auto;
  margin-right: auto;
  overflow: hidden;
  position: relative;
  z-index: 2;
  padding: 0rem;
  background-color: rgba(45, 47, 50, 0.5);
  width: 75vw;
  padding: 2rem;
  border-radius: 1.25rem;
  height: max-content;
  margin-bottom: 4rem;
  gap: 5rem;
  max-width: 95%;
}

.divider--1 {
  width: 4rem;
  background-color: rgba(0, 240, 255, 0.45);
  background-image: linear-gradient(45deg, rgb(255, 0, 214) 0%, rgba(0, 240, 255, 0.004) 100%);
  background-position: 0% 0%;
  background-repeat: repeat;
  background-size: cover;
  height: 0.32rem;
  border-radius: 1.88rem;
}

.profile-section {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-top: 8rem;
  overflow: hidden;
  position: relative;
  z-index: 2;
  width: 75vw;
  margin-left: auto;
  margin-right: auto;
  gap: 3rem;
  max-width: 95%;
}

.profile-image {
  height: 258px;
  width: 258px;
  border-radius: 50%;
  background-color: #48484e;
}

.avatar {
  height: inherit;
  width: inherit;
  border-radius: 50%;
  border: 1rem groove grey;
}

ul li {
  margin-bottom: 0.4rem;
}

h1 {
  font-size: 3rem;
}

h2 {
  font-size: 2.5rem;
}

.text-white {
  color: white;
}

.text-grey {
  color: grey;
}

.footer {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-content: center;
  flex-wrap: nowrap;
  align-items: center;
  gap: 1.5rem;
  margin-bottom: 8rem;
}

.footer i {
  font-size: 30px;
  background-color: rgba(0, 240, 255, 0.45);
  background-image: linear-gradient(45deg, rgb(255, 0, 214) 0%, rgba(0, 240, 255, 0.004) 100%);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  transition: transform 0.3s ease;
}

.footer i:hover {
  transform: scale(1.1);
}

.fa-cube {
  padding-right: 1rem;
}

@media screen and (max-width: 900px) {
  h1 {
    font-size: 2.5rem;
  }

  h2 {
    font-size: 2rem;
  }

  h3 {
    font-size: 1.5rem;
  }

  .profile-section {
    flex-direction: column;
    gap: 1rem;
    width: 80vw;
    max-width: 95%;
  }

  .info {
    text-align: center;
  }

  .info .divider--1 {
    display: none;
  }

  #wrapper {
    width: 90vw;
  }
}


@media screen and (max-width: 600px) {
  h1 {
    font-size: 2rem;
    line-height: normal;
  }

  h2 {
    font-size: 1.5rem;
  }

  h3 {
    font-size: 1rem;
  }
}

.projects-container {
  display: flex;
  flex-direction: column;
  gap: 3rem;
  padding: 3rem 0;
}

.project {
  display: flex;
  align-items: flex-start;
  gap: 1.5rem;
  flex-wrap: wrap;
}

.project img {
  width: auto;
  height: auto;
  border-radius: 10px;
}

.project img:hover {
  box-shadow: 0 10px 16px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.project-content {
  flex: 1;
}

.project-content ul {
  list-style-type: square;
}

.mt-0 {
  margin-top: 0;
}

.pl-1 {
  padding-left: 1rem;
}

@media (max-width: 768px) {
  .project {
    flex-direction: column;
    align-items: flex-start;
  }

  .project img {
    width: 100%;
  }
}